import processing.serial.*;

import cc.arduino.*;
import org.firmata.*;

int redPin = 3;
int greenPin = 5;
int bluePin = 6;
int groundPin = 4;

Arduino arduino;
void setup()
{
  //print out a list of Arduino serial ports
  String[] ports = Arduino.list();
  for (int i=0; i<ports.length; i++)
  {
    println("Port "+i+":\t"+ports[i]);
  }

  //setup your arduino as port enumerated as 3
  arduino = new Arduino(this, Arduino.list()[3], 57600);

  //make the red, green, and blue pins outputs
  arduino.pinMode(redPin, Arduino.OUTPUT);
  arduino.pinMode(greenPin, Arduino.OUTPUT);
  arduino.pinMode(bluePin, Arduino.OUTPUT);

  //connect the center pin of the LED to ground
  arduino.pinMode(groundPin, Arduino.OUTPUT);
  arduino.digitalWrite(groundPin, Arduino.LOW);
}

//use color picker to select a color to create below
//http://www.colorpicker.com/
void draw()
{
   arduino.analogWrite(redPin, 219);
   
   arduino.analogWrite(bluePin, 86);
   
   arduino.analogWrite(greenPin, 20);
  
}