import processing.serial.*;

import cc.arduino.*;
import org.firmata.*;


Arduino arduino;
void setup()
{
  //print out a list of Arduino serial ports
  String[] ports = Arduino.list();
  for(int i=0;i<ports.length;i++)
  {
    println("Port "+i+":\t"+ports[i]);
  }
  
  //setup your arduino as port enumerated as 3
  arduino = new Arduino(this, Arduino.list()[3], 57600);
  
  //declare Pin 13 as an Output
  arduino.pinMode(13, Arduino.OUTPUT);
}

void draw()
{
  //turn on Pin 13
  arduino.digitalWrite(13, Arduino.HIGH);
  
  //wait 1000ms (1 second)
  delay(1000);
  
  //turn off Pin 13
  arduino.digitalWrite(13, Arduino.LOW);
 
  //wait 1000ms (1 second)
  delay(1000);
}