import processing.serial.*;

import cc.arduino.*;
import org.firmata.*;


Arduino arduino;
void setup()
{
  //print out a list of Arduino serial ports
  String[] ports = Arduino.list();
  for (int i=0; i<ports.length; i++)
  {
    println("Port "+i+":\t"+ports[i]);
  }

  //setup your arduino as port enumerated as 3
  arduino = new Arduino(this, Arduino.list()[3], 57600);
  
  arduino.pinMode(3, Arduino.SERVO);
  
  
  
}

int servoPin=3;
void draw()
{
  //set motor 0 to spin counter-clockwise
  arduino.servoWrite(servoPin, 0);
  
  //wait 1 second
  delay(1000);
  
  //set motor to 180 to spin clockwise
  arduino.servoWrite(servoPin, 180);
  
  //wait 1 second
  delay(1000);
 
  //set the servo to 92 to stop. This value should be 90 but our motors
  //are slight different. If 92 doesn't stop the motor, try a value nearby
  arduino.servoWrite(servoPin, 92);
  
  //wait 1 second
  delay(1000);
}