import processing.serial.*;

import cc.arduino.*;
import org.firmata.*;


Arduino arduino;
void setup()
{
  //print out a list of Arduino serial ports
  String[] ports = Arduino.list();
  for(int i=0;i<ports.length;i++)
  {
    println("Port "+i+":\t"+ports[i]);
  }
  
  //setup your arduino as port enumerated as 3
  arduino = new Arduino(this, Arduino.list()[3], 57600);
  
}

void draw()
{
   //read in the sensor value from Analog Input 0
   int value = arduino.analogRead(0); 
  
   //print out the sensor value to the Processing console
   println(value);
  
   //delay a short time so we don't get a wall of text
   delay(100);
}